Package edu.msu.cme.rdp.classifier.train.validation

# Class SortedROCSet

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractSet<E>
java.util.TreeSet<SortedROCSet.PredictionCount>
edu.msu.cme.rdp.classifier.train.validation.SortedROCSet

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<SortedROCSet.PredictionCount>`, `Collection<SortedROCSet.PredictionCount>`, `NavigableSet<SortedROCSet.PredictionCount>`, `Set<SortedROCSet.PredictionCount>`, `SortedSet<SortedROCSet.PredictionCount>`

public class SortedROCSet extends TreeSet<SortedROCSet.PredictionCount>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SortedROCSet.PredictionCount`
`static class`
`SortedROCSet.ResultComparator`

## Constructor Summary

Constructors
Constructor
Description
`SortedROCSet()`

## Method Summary

### Methods inherited from class java.util.TreeSet

`add, addAll, ceiling, clear, clone, comparator, contains, descendingIterator, descendingSet, first, floor, headSet, headSet, higher, isEmpty, iterator, last, lower, pollFirst, pollLast, remove, size, spliterator, subSet, subSet, tailSet, tailSet`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`containsAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

## Constructor Details

### SortedROCSet

public SortedROCSet()